﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=6.31
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
Dim graphview As graph   'main container for series
Dim series1 As LineSeries 'line series
Dim series2 As PointGraphSeries
Dim yy(100) As Double  'array to hold y axis data
Dim xx(100) As Double 
Dim cy(100) As Double 
Dim sinewave As Double 
Dim angle As Float = 0
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	
	'generate data for x axis
	For i = 0 To 99
	xx(i) = i
	Next
	
	'generata sinewave for Y axis
	sinewave = (2*cPI) * 440/ 44100
	For i = 0 To yy.Length -1
	  yy(i) = Sin(angle)
        angle = angle + sinewave
	Next
	
	angle = 0
	
	'generate cosine wave for second Y Axis
	For t = 0 To yy.Length - 1
	cy(t) = Cos(angle)
	angle = angle + sinewave
	Next
	
	angle = 0
	
	'Initialize Series with eventName, Title, Color, Dates(true/false) and x axis data and y axis data
	series1.Initialize("series1", "SineWave", Colors.Magenta, False, xx, yy)
	'Initialize Point series with eventName, Title, Color, Dates(true/false) and x axis and y axis data
	series2.Initialize("series2", "Cosine Wave", Colors.Blue, False, xx, cy)
	'Initialize graphview with Title Name
	graphview.Initialize("Double Y Axis Example")
	'Set Horizontal Label axis color
	graphview.SetHorizontalAxisTitle("Data Points", Colors.Red)
	'set Vertical Label axis color
	graphview.SetVerticalAxisTitle("Voltage pk-pk", Colors.Red)
	'Add line series to graphview
	graphview.AddLineSeries(False, False, Array As LineSeries(series1))
	'Add point series to graphview's second Y scale
	graphview.AddPointsSeries(False, True, Array As PointGraphSeries(series2))
	'Sets the graphview's title color
	graphview.SetGraphTitleColor(Colors.DarkGray)
	'sets the graphview title's size
	graphview.SetGraphTitleSize(100)
	'sets the horizontal label color
	graphview.HorizontalLabelColor(Colors.Green)
	'sets the vertical label color
	graphview.VerticalLabelColor(Colors.Green)
	'sets the second Y scale label color
	graphview.SetSecondYScaleColor(Colors.Blue)
	'add graphview to activity
	Activity.AddView(graphview, 0, 0, 100%x, 100%y)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub series1_SeriesClicked (xdata As String, ydata As String)
	ToastMessageShow("Data point Clicked on series1: " & "X: " & xdata & " " & "Y: " & ydata, False)
End Sub

Sub series2_SeriesClicked (xdata As String, ydata As String)
	ToastMessageShow("Data point Clicked on series2: " & "X: " & xdata & " " & "Y: " & ydata, False)
End Sub


