﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=6.31
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
Dim graphview As graph   'main container for series
Dim series As LineSeries 'line series
Dim yy(100) As Double  'array to hold y axis data
Dim xx(100) As Double 
Dim sinewave As Double 
Dim tx As Double = 99
Dim angle As Float = 0
Dim timer1 As Timer 
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	
	
	timer1.Initialize("timer1", 10)

'generate data for x axis
	For i = 0 To 99
	xx(i) = i
	Next

	'generate sinewave for y axis
	sinewave = (2*cPI) * 440/ 44100
	For i = 0 To yy.Length -1
	  yy(i) = Sin(angle)
        angle = angle + sinewave
	Next
	
		'Initialize Series with eventName, Title, Color, Dates(true/false) and x axis data and y axis data
	series.Initialize("series1", "SineWave", Colors.Magenta, False, xx, yy)
	'Initialize graphview with Title Name
	graphview.Initialize("Simple Line Series Example")
	'Set Horizontal Label axis color
	graphview.SetHorizontalAxisTitle("Data Points", Colors.Red)
	'set Vertical Label axis color
	graphview.SetVerticalAxisTitle("Voltage pk-pk", Colors.Red)
	'Add line series to graphview
	graphview.AddLineSeries(False, False, Array As LineSeries(series))
	'add graphview to activity
	Activity.AddView(graphview, 0, 0, 100%x, 100%y)
	
	timer1.Enabled = True
End Sub

Sub Activity_Resume
series.ResetData(xx, yy)
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

'appends new data to live series every 10 milliseconds
Sub timer1_Tick
	Dim y As Double 
	tx = tx + 1
	y = Sin(angle)
    angle = angle + sinewave
	series.AppendData(tx, y, 1000)
End Sub


