﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=6.31
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim series As PointGraphSeries
	Dim graphview As graph
	Dim xx(100) As Double
	Dim yy(100) As Double
	Dim angle As Float = 0
	Dim sinewave As Float 
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
		'generate Y axis data and place in yy array
	sinewave = (2*cPI) * 440/ 44100
	For i = 0 To yy.Length -1
	  yy(i) = Sin(angle)
      angle = angle + sinewave
	Next
	
	'generate X Axis data and place in xx array
	For  j = 0 To xx.Length - 1
		xx(j) = j
	Next
	
	'Initialize series with eventName, Title, color, Dates(true/false), x axis data and y axis data
	series.Initialize("pointseries", "Point Series", Colors.Green, False, xx, yy)
	'Initialize graphview with Title
	graphview.Initialize("Simple Points Series")
	'Add point series to graph, Dates(true/false), SecondScale(true/false), and series
	graphview.AddPointsSeries(False, False, Array As PointGraphSeries(series))
	'Set Horizontal Label axis color
	graphview.SetHorizontalAxisTitle("Data Points", Colors.Red)
	'set Vertical Label axis color
	graphview.SetVerticalAxisTitle("Voltage pk-pk", Colors.Red)
	'Sets the point series shape to triangle
	series.SetTriangleShape
	'adds graphview to activity
	Activity.AddView(graphview, 0, 0, 100%x, 100%y)
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
'SeriesClick event to display or log data of series.
Sub pointseries_SeriesClicked (xdata As String, ydata As String)
	ToastMessageShow("X data: " & xdata & " " & "Y Data: " & ydata, False)
	Log("X data: " & xdata & " " & "Y Data: " & ydata)
End Sub


