﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=6.31
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim series As LineSeries
	Dim graphview As graph
	Dim xx(100) As Double
	Dim yy(100) As Double
	Dim angle As Float = 0
	Dim sinewave As Float 
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	
	'generate Y axis data and place in yy array
	sinewave = (2*cPI) * 440/ 44100
	For i = 0 To yy.Length -1
	  yy(i) = Sin(angle)
      angle = angle + sinewave
	Next
	
	'generate X Axis data and place in xx array
	For  j = 0 To xx.Length - 1
		xx(j) = j
	Next
	
	'Initialize Series with eventName, Title, Color, Dates(true/false) and x axis data and y axis data
	series.Initialize("series1", "SineWave", Colors.Magenta, False, xx, yy)
	'Initialize graphview with Title Name
	graphview.Initialize("Simple Line Series Example")
	'Set Horizontal Label axis color
	graphview.SetHorizontalAxisTitle("Data Points", Colors.Red)
	'set Vertical Label axis color
	graphview.SetVerticalAxisTitle("Voltage pk-pk", Colors.Red)
	'Add line series to graphview
	graphview.AddLineSeries(False, False, Array As LineSeries(series))
	'add graphview to activity
	Activity.AddView(graphview, 0, 0, 100%x, 100%y)
	

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub series1_SeriesClicked (xdata As String, ydata As String)
	ToastMessageShow("X Data: " & xdata & " " & "Y Data: " & ydata, False)
	Log("X Data: " & xdata & " " & "Y Data: " & ydata)
End Sub


